View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000775Ecere SDKide:buildsystempublic2012-12-04 03:032013-08-07 03:33
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeverityblockReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000775: Linker Options are broken
Description1. Linker options specified directly in Config are not going anywhere in the Makefile

2. Linker options should be going into OFLAGS, not CFLAGS
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000661)
redj (administrator)
2012-12-07 17:38
edited on: 2013-05-05 16:03

https://github.com/ecere/sdk/commit/faeb255a950295d5261838d304850bfdab902b45 [^]

(0000662)
jerome (administrator)
2012-12-08 08:49
edited on: 2012-12-08 08:50

Further tweaked to regonize GCC (Not LD) options that should not be prefixed by -Wl,
https://github.com/ecere/sdk/commit/98fad50d9781b15637a82dcb84d6bc1954cc22c5 [^]


- Issue History
Date Modified Username Field Change
2012-12-04 03:03 jerome New Issue
2012-12-04 03:03 jerome Status new => assigned
2012-12-04 03:03 jerome Assigned To => redj
2012-12-07 17:38 redj Status assigned => resolved
2012-12-07 17:38 redj Fixed in Version => 0.44.1 Android
2012-12-07 17:38 redj Resolution open => fixed
2012-12-07 17:38 redj Note Added: 0000661
2012-12-08 08:49 jerome Note Added: 0000662
2012-12-08 08:50 jerome Note Edited: 0000662
2013-05-05 16:03 redj Note Edited: 0000661
2013-05-22 20:31 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker